<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue Basics</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@3/dist/vue.global.js" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <header>
      <h1>Monster Slayer</h1>
    </header>
    <div id="game">
      <section id="monster" class="container">
        <h2>Monster Health</h2>
        <div class="healthbar">
          <div class="healthbar__value" :style="monsterBarStyle"></div>
        </div>
      </section>
      <section id="player" class="container">
        <h2>Your Health</h2>
        <div class="healthbar">
          <div class="healthbar__value" :style="playerBarStyle"></div>
        </div>
      </section>
      <section class="container" v-if="winner">
        <h2>
          Game Over
        </h2>
        <h3 v-if="winner === 'monster'">You lost</h3>
        <h3 v-else-if="winner === 'player'">You win</h3>
        <h3 v-else>It's a draw</h3>
        <button @click="startGame">Start new Game</button>
      </section>
      <section id="controls" v-else>
        <button @click="attackMonster">ATTACK</button>
        <button :disabled="mayUseSpecialAttack" @click="specialAttackMonster">SPECIAL ATTACK</button>
        <button @click="healPlayer">HEAL</button>
        <button @click="surrender">SURRENDER</button>
      </section>
      <section id="log" class="container">
        <h2>Battle Log</h2>
        <ul>
          <li v-for="log in logs">
            <span
            :class="{'log--player': log.actionBy === 'player', 'log--monster': log.actionBy === 'monster'}"
            >{{ log.actionBy === 'player' ? 'Player' : 'Monster' }}</span>
            <span v-if="log.action === 'heal'"> heals himself for <span class="log--heal">{{log. value}}</span></span>
            <span v-else> attacks and deals <span class="log--damage">{{log. value}}</span></span>
          </li>
        </ul>
      </section>
    </div>
  </body>
</html>
